<h1 align=center><code>CSSharpTemplate</code></h1>

<div align=center>
    <a href="https://git.devmarked.win/marked/CSSharpTemplate/actions?workflow=build.yml"><img src="https://git.devmarked.win/marked/CSSharpTemplate/badges/workflows/build.yml/badge.svg?style=for-the-badge&label=BUILD"></a>
    <a href="https://git.devmarked.win/marked/CSSharpTemplate/src/branch/main/LICENSE"><img src="https://img.shields.io/badge/license-MIT-blue?style=for-the-badge"></a>
</div>
<br>

Description

# Installation

1. Download the latest build artifact from [the build action](https://git.devmarked.win/marked/CSSharpTemplate/actions?workflow=build.yml)
2. Extract it in `addons/counterstrikesharp/plugins`

# Development

## Setup

This project uses [Lune](https://github.com/lune-org/lune) to feature a cross-platform helper script.\
To install it, fetch the latest binary from [GitHub releases](https://github.com/lune-org/lune/releases/tag/v0.8.9), or install it via cargo:
```sh
cargo install --locked lune
```

## Building

For a basic debug build, run:
```sh
lune run manager -- build
```

To specify a configuration:
```sh
lune run manager -- build --configuration CONFIGURATION
```

To replicate the built plugin to a docker container:
```sh
lune run manager -- build --replicator docker --remote-output container-id:/path/to/plugin
```

To replicate the built plugin to a remote machine:
```sh
lune run manager -- build --replicator ssh --remote-output username@hostname:/path/to/plugin
```

To replicate the built plugin to a docker container on a remote machine:
```sh
lune run manager -- build --replicator ssh-docker --remote-output username@hostname->container-id:/path/to/plugin
```

You can also write a custom replicator in [Luau](https://github.com/luau-lang/luau) under `lune/manager/replicators`.
